# Interface SummarySet

All Known Implementing Classes:
  `AvgMinMaxCounterSet, AvgMinMaxPercentileCounterSet`

public interface SummarySet
Summaries track the size and number of events. They are able to publish minumum, maximum, average values, depending on the capabilities of the MetricsProvider. A SummarySet is a set of `Summary`.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(String key, long value)`
Register a value.

## Method Details

### add

void add(String key, long value)
Register a value.

This method is thread safe, The MetricsProvider will take care of synchronization.

Parameters:
  `key` - the key to access the Summary for the given key
  `value` - current value